package com.prolog.cs.biz.inbound.dto;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.io.Serializable;
import java.math.BigDecimal;
import java.util.Date;

/**
 * 货主转换商品明细
 * 
 * @author Xiong
 *
 */
@ApiModel
public class CargoChangeInDetails implements Serializable {

	private static final long serialVersionUID = -3775558158304353123L;
	// 商品id
	@ApiModelProperty(value = "商品id", required = true)
	private String destItemId;
	// 商品编号
	@ApiModelProperty(value = "商品编号")
	private String destItemCode;
	// 商品名称
	@ApiModelProperty(value = "商品名称")
	private String destItemName;
	// 批次id
	@ApiModelProperty(value = "批次id", required = true)
	private String batchId;
	// 批次num
	@ApiModelProperty(value = "批次num")
	private String batchNum;
	// 批号
	@ApiModelProperty(value = "批号")
	private String manufacturerLotNum;
	// 显示生产日期
	@ApiModelProperty(value = "显示生产日期")
	private String showProductionDate;
	// 显示有效期至
	@ApiModelProperty(value = "显示有效期至")
	private String showExpiredDate;
	// 生产日期(日期格式,非必填)
	@ApiModelProperty(value = "生产日期(日期格式,非必填)")
	private Date productionDate;
	// 有效期至(日期格式,非必填)
	@ApiModelProperty(value = "有效期至(日期格式,非必填)")
	private Date expiredDate;
	@ApiModelProperty(value = "质检报告单号", required = true)
	private String rqcReportNo;
	// 数量
	@ApiModelProperty(value = "数量", required = true)
	private BigDecimal quantity;
	// 单位
	@ApiModelProperty(value = "单位")
	private String uom;
	// 包装含量
	@ApiModelProperty(value = "包装含量")
	private BigDecimal conversionRate;
	// 件数(非必填)
	@ApiModelProperty(value = "件数(非必填)")
	private BigDecimal oddCaseQty;
	// 零散(非必填)
	@ApiModelProperty(value = "件数(非必填)")
	private BigDecimal oddPieceQty;
	// 货位id
	@ApiModelProperty(value = "货位id", required = true)
	private String whLocatorId;
	// 货位编码
	@ApiModelProperty(value = "货位编码")
	private String whLocatorCode;
	// 库区编码
	@ApiModelProperty(value = "库区编码")
	private String whAreaCode;
	// 库别编码
	@ApiModelProperty(value = "库别编码")
	private String whAreaCategoryCode;
	// 来源明细id
	@ApiModelProperty(value = "来源明细id")
	private String refLineId;
	// 来源明细备注
	@ApiModelProperty(value = "来源明细备注")
	private String refLineRemark;
	// 额外字段1
	@ApiModelProperty(value = "来源明细额外字段1")
	private String refLineAttr1;
	// 额外字段2
	@ApiModelProperty(value = "来源明细额外字段2")
	private String refLineAttr2;


	@ApiModelProperty(value = "抽样整件数", required = true, position = -1)
	private BigDecimal qcOddCaseQty;

	@ApiModelProperty(value = "抽样零散数", required = true, position = -1)
	private BigDecimal qcOddPieceQty;

	@ApiModelProperty(value = "抽样实际整件数")
	private BigDecimal qcOddCaseActQty;

	@ApiModelProperty(value = "抽检实际零散")
	private BigDecimal qcOddPieceActQty;

	public BigDecimal getQcOddCaseQty() {
		return qcOddCaseQty;
	}

	public void setQcOddCaseQty(BigDecimal qcOddCaseQty) {
		this.qcOddCaseQty = qcOddCaseQty;
	}

	public BigDecimal getQcOddPieceQty() {
		return qcOddPieceQty;
	}

	public void setQcOddPieceQty(BigDecimal qcOddPieceQty) {
		this.qcOddPieceQty = qcOddPieceQty;
	}

	public BigDecimal getQcOddCaseActQty() {
		return qcOddCaseActQty;
	}

	public void setQcOddCaseActQty(BigDecimal qcOddCaseActQty) {
		this.qcOddCaseActQty = qcOddCaseActQty;
	}

	public BigDecimal getQcOddPieceActQty() {
		return qcOddPieceActQty;
	}

	public void setQcOddPieceActQty(BigDecimal qcOddPieceActQty) {
		this.qcOddPieceActQty = qcOddPieceActQty;
	}

	public String getRqcReportNo() {
		return rqcReportNo;
	}

	public void setRqcReportNo(String rqcReportNo) {
		this.rqcReportNo = rqcReportNo;
	}

	public String getBatchNum() {
		return batchNum;
	}

	public void setBatchNum(String batchNum) {
		this.batchNum = batchNum;
	}

	public String getDestItemId() {
		return destItemId;
	}

	public void setDestItemId(String destItemId) {
		this.destItemId = destItemId;
	}

	public String getDestItemCode() {
		return destItemCode;
	}

	public void setDestItemCode(String destItemCode) {
		this.destItemCode = destItemCode;
	}

	public String getDestItemName() {
		return destItemName;
	}

	public void setDestItemName(String destItemName) {
		this.destItemName = destItemName;
	}

	public String getBatchId() {
		return batchId;
	}

	public void setBatchId(String batchId) {
		this.batchId = batchId;
	}

	public String getManufacturerLotNum() {
		return manufacturerLotNum;
	}

	public void setManufacturerLotNum(String manufacturerLotNum) {
		this.manufacturerLotNum = manufacturerLotNum;
	}

	public String getShowProductionDate() {
		return showProductionDate;
	}

	public void setShowProductionDate(String showProductionDate) {
		this.showProductionDate = showProductionDate;
	}

	public String getShowExpiredDate() {
		return showExpiredDate;
	}

	public void setShowExpiredDate(String showExpiredDate) {
		this.showExpiredDate = showExpiredDate;
	}

	public Date getProductionDate() {
		return productionDate;
	}

	public void setProductionDate(Date productionDate) {
		this.productionDate = productionDate;
	}

	public Date getExpiredDate() {
		return expiredDate;
	}

	public void setExpiredDate(Date expiredDate) {
		this.expiredDate = expiredDate;
	}

	public BigDecimal getQuantity() {
		return quantity;
	}

	public void setQuantity(BigDecimal quantity) {
		this.quantity = quantity;
	}

	public String getUom() {
		return uom;
	}

	public void setUom(String uom) {
		this.uom = uom;
	}

	public BigDecimal getConversionRate() {
		return conversionRate;
	}

	public void setConversionRate(BigDecimal conversionRate) {
		this.conversionRate = conversionRate;
	}

	public BigDecimal getOddCaseQty() {
		return oddCaseQty;
	}

	public void setOddCaseQty(BigDecimal oddCaseQty) {
		this.oddCaseQty = oddCaseQty;
	}

	public BigDecimal getOddPieceQty() {
		return oddPieceQty;
	}

	public void setOddPieceQty(BigDecimal oddPieceQty) {
		this.oddPieceQty = oddPieceQty;
	}

	public String getWhLocatorId() {
		return whLocatorId;
	}

	public void setWhLocatorId(String whLocatorId) {
		this.whLocatorId = whLocatorId;
	}

	public String getWhLocatorCode() {
		return whLocatorCode;
	}

	public void setWhLocatorCode(String whLocatorCode) {
		this.whLocatorCode = whLocatorCode;
	}

	public String getWhAreaCode() {
		return whAreaCode;
	}

	public void setWhAreaCode(String whAreaCode) {
		this.whAreaCode = whAreaCode;
	}

	public String getWhAreaCategoryCode() {
		return whAreaCategoryCode;
	}

	public void setWhAreaCategoryCode(String whAreaCategoryCode) {
		this.whAreaCategoryCode = whAreaCategoryCode;
	}

	public String getRefLineId() {
		return refLineId;
	}

	public void setRefLineId(String refLineId) {
		this.refLineId = refLineId;
	}

	public String getRefLineRemark() {
		return refLineRemark;
	}

	public void setRefLineRemark(String refLineRemark) {
		this.refLineRemark = refLineRemark;
	}

	public String getRefLineAttr1() {
		return refLineAttr1;
	}

	public void setRefLineAttr1(String refLineAttr1) {
		this.refLineAttr1 = refLineAttr1;
	}

	public String getRefLineAttr2() {
		return refLineAttr2;
	}

	public void setRefLineAttr2(String refLineAttr2) {
		this.refLineAttr2 = refLineAttr2;
	}

}
